# Available examples 

!!!warning "Support disclaimer"
    Use the examples we provide as reference only, we don’t offer official support for them. 

## Kubernetes clusters 
See examples of provisioning Kubernetes clusters on cloud-based providers:
   
  * [Amazon EKS](cluster/EKS_SETUP.md) 
  * [Google GKE](cluster/GKE_SETUP.md)
  * [Azure AKS](cluster/AKS_SETUP.md)

## Ingress
* See an example of [provisioning an NGINX Ingress controller](ingress/INGRESS_NGINX.md)

## Database
* See an example of [creating an Amazon RDS database instance](database/AMAZON_RDS.md)

## Storage
See examples of local and shared storage:

### AWS EFS
   
* [Local storage - utilizing AWS EBS-backed volumes](storage/aws/LOCAL_STORAGE.md)
* [Shared storage - utilizing AWS EFS-backed filesystem](storage/aws/SHARED_STORAGE.md)

### NFS

* [Implementation of an NFS Server for Bitbucket](storage/nfs/NFS.md)

## Elasticsearch

* See our [recommendations for Bitbucket Elasticsearch](elasticsearch/BITBUCKET_ELASTICSEARCH.md)

## Logging
* See an example of [how to deploy an EFK stack to Kubernetes](logging/efk/EFK.md)

## SSH
* See an example of [SSH service in Bitbucket on Kubernetes](ssh/SSH_BITBUCKET.md)
